@echo off

set CURRENT_DIR="%~dp0"
cd  %CURRENT_DIR%
echo %JAVA_HOME%

set LOGGING_DIR=..\
set APP_NAME=JavaHonk
set ENV=UAT
set PROCESS_NAME=RunProjectBatchFile

rem VM arguments 
set VMARGS=-Dlogging.dir=%LOGGING_DIR% -Dapp.name=%APP_NAME% -Denvironment.target=%ENV% -DPROCESS_NAME=%PROCESS_NAME%

set CLASSPATH=..\config\;..\lib\*

rem launcher class for application
set JAVA_MAIN=com.javahonk.RunApplication

set CMD=%JAVA_HOME%\bin\java %VMARGS% -cp %CLASSPATH% %JAVA_MAIN%
echo %CMD%

"%JAVA_HOME%"\bin\java %VMARGS% -cp %CLASSPATH% %JAVA_MAIN%
